qualitygates:
  - name: my.quality.gate
    rules:
      - name: ihm tests
        rule:
          scope: (test.uses == 'cypress/execute@v1') || (test.technology == 'soapui') || (contains(test.runs-on, 'linux'))
          threshold: 80%
          failure-status: [error, blocked, failure]
      - name: critical api tests
        rule:
          scope: contains(test.runs-on, 'robotframework') && test.technology != 'cypress'
          threshold: 100%
          failure-status: [failure]
